import { Origami } from './types';
export declare namespace config {
    /**
     * Injects origami_x_y environment variables into a Origami.config and replaces
     * aliased keys in objects (eg: {'/path/to/plugin.js:myPlugin': true})
     * @returns {Object} Object of origami environment variables
    */
    const env: (obj?: Partial<Origami.Config>) => object;
    /**
     * Attempt to load the .origami file at the current directory. Overwrites with any ENV variables
     * @returns {Origami.Config|Boolean} The Origami file as json, or false if it cannot be
     * found or loaded correctly
    */
    const read: (fileOrDirectory?: string | undefined) => Promise<false | Origami.Config>;
    /**
     * Override/write the .origami file
     * @param file JSON config for Origami app to override
     */
    const write: (file: Origami.Config) => Promise<void>;
    const validate: (config: Origami.Config) => void;
    const setupPlugins: (config: Origami.Config, server: any, context?: string) => any[];
    const setupApps: (config: Origami.Config, server: any) => any[];
    const setupResources: (config: Origami.Config, server: any, context?: string) => any[];
    const setupControllers: (config: Origami.Config, server: any, context?: string) => Promise<void>[];
}
